Ticket #46049

AI: consider caravan bonus style

Open Date: 2022-11-08 23:50 Last Update: 2022-11-24 05:51

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
3

Details

Use more appropriate approximation for CBS_LOGARITHMIC.

Ticket History (3/10 Histories)

2022-11-08 23:50 Updated by: ihnatus
  • New Ticket "AI: consider caravan bonus style" created
2022-11-09 02:42 Updated by: ihnatus
Comment

Patched.

2022-11-10 21:40 Updated by: ihnatus
Comment

The previous file is to add in absence #45852. I.e., should work for v.3.1 but we probably should apply the previous patch on master after the mentioned one.

(Edited, 2022-11-10 21:44 Updated by: ihnatus)
2022-11-22 05:41 Updated by: cazfi
  • Owner Update from (None) to cazfi
  • Resolution Update from None to Accepted
Comment

So, I got 'dai-logarithmic-caravan.patch' to apply to master, 'ai-logarithmic-caravan.patch' to apply to S3_1, and '3.0-ai-logarithmic-caravan.patch' to apply to S3_0.

Is that the way they are meant to be used?

2022-11-22 06:37 Updated by: ihnatus
Comment

As I can remember, dai-logarithmic-caravan.patch is for 3.1 as the another depends on unit type patch.

2022-11-22 11:11 Updated by: cazfi
Comment

diffing between the patch files themselves show that the only difference between original 'ai-logarithmic-caravan.patch' (marked as 'master' patch) and latest 'dai-logarithmic-caravan.patch' (marked as 'master' patch) is in the context, not in the lines they change. So the only functionally different patch is '3.0-ai-logarithmic-caravan.patch' (marked as '3.0 patch').

2022-11-24 05:51 Updated by: cazfi
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed

Attachment File List

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login